<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org/" lang="en">

<head>
    <title>Getting Started: Serving Web Content</title>
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="/css/addBoat.css" />
    
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    </script>
</head>

<body>

    <div class="cont">
        <a href="/home"><img id="back" alt="Go back image" src="/images/back.png"></a>
        <h2>ADD SHIP</h2>
        <form action="/createBoat">
            <div class="form-group">
                <label>Boat name:</label>
                <input type="text" name="portName" class="form-control" id="boatNameControlInput1" placeholder="Boat Name" required>
            </div>
            <div class="form-group">
                <label>Select port:</label>
                <select name="portId" class="form-control" id="portControlSelect1">
                    <option th:each="port : ${session.portList}" th:value="${port.portId}" th:text="${port.name}"></option>
                </select>
            </div>
            <div class="form-group">
                <label>Image src:</label>
                <input type="text" name="imageSrc" class="form-control" id="imageSrcControlInput1" placeholder="image_src.jpg" required>
            </div>
            <div id="bCont">
                <button id="bAdd" type="submit" class="btn btn-primary">Add boat</button>
            </div>
        </form>
    </div>
</body>

</html>